import { jsx } from "react/jsx-runtime";
import { TokenFRA as TokenFRA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFRA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FRA", "data-name": "TokenFRA", ...props, children: /* @__PURE__ */ jsx(TokenFRA$1, { variant }) });
  }
);
TokenFRA.displayName = "TokenFRA";
Object.assign(TokenFRA, { isGdsIcon: true });
export {
  TokenFRA
};
